Forum Lutèce

Cerber
 1  1082
1

pom.xml, maven et version du coeur

pom.xml, maven et version du coeur

Bonjour,

Mon probleme est que dans mon fichier pom.xml j indique que la version du coeur est la 3.1.3 et j utilise mvn lutece:exploded.

Il me genere un dossier target avec l application a l interieur  mais quand je vais dans WEB-INF/lib/, la version du coeur est : lutece-core-2.9.9.jar

Est ce que ca vient du fait que j utilise maven2 ou est ce autre chose ?

Merci

LLI
Bonjour, Lutèce ne fonctionne pour l'instant qu'avec Maven 2.2. Le problème ne vient pas de Maven. Le fait qu'une autre version du coeur est générée dans votre dossier WEB-INF/lib que celle définie dans votre fichier pom.xml signifie qu'un plugin ou module spécifie la version du coeur en version 2.9.9. Pour détecter le composant incriminant : - Commenter l'ensemble des plugins, puis refaite un mvn lutece:exploded - Vérifier la version du coeur dans le dossier WEB-INF/lib (il faut que la version soit en 3.1.3). - Décommenter un à un les plugins (en compilant à chaque fois) jusqu'à trouver une version 2.9.9 du coeur dans le dossier WEB-INF/lib. Cela vous permettra de savoir quel plugin pose problème.